
%global meadversion 2.2.2
%global namedversion 2.2.2.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package wildfly-elytron}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.2.2.Final-redhat-00001

Name:           %{?scl_prefix}wildfly-elytron
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        WildFly Elytron
Group:          Development/Java

%if %with mead
Source100: wildfly-elytron-parent-2.2.2.Final-redhat-00001-project-sources.tar.gz
Source102: wildfly-elytron-realm-token-2.2.2.Final-redhat-00001.jar
Source103: wildfly-elytron-credential-source-impl-2.2.2.Final-redhat-00001.jar
Source104: wildfly-elytron-base-2.2.2.Final-redhat-00001.pom
Source105: wildfly-elytron-credential-2.2.2.Final-redhat-00001.pom
Source106: wildfly-elytron-tests-2.2.2.Final-redhat-00001.pom
Source107: wildfly-elytron-jose-jwk-2.2.2.Final-redhat-00001.pom
Source108: wildfly-elytron-http-cert-2.2.2.Final-redhat-00001.jar
Source109: wildfly-elytron-security-manager-2.2.2.Final-redhat-00001.pom
Source110: wildfly-elytron-sasl-deprecated-2.2.2.Final-redhat-00001.pom
Source111: wildfly-elytron-digest-2.2.2.Final-redhat-00001.pom
Source112: wildfly-elytron-x500-cert-util-2.2.2.Final-redhat-00001.pom
Source113: wildfly-elytron-realm-jdbc-2.2.2.Final-redhat-00001-sources.jar
Source114: wildfly-elytron-digest-2.2.2.Final-redhat-00001-sources.jar
Source115: wildfly-elytron-http-external-2.2.2.Final-redhat-00001-sources.jar
Source116: wildfly-elytron-tool-2.2.2.Final-redhat-00001.pom
Source117: wildfly-elytron-sasl-anonymous-2.2.2.Final-redhat-00001.pom
Source118: wildfly-elytron-mechanism-scram-2.2.2.Final-redhat-00001.pom
Source119: wildfly-elytron-x500-principal-2.2.2.Final-redhat-00001.jar
Source120: wildfly-elytron-http-sso-2.2.2.Final-redhat-00001.jar
Source121: wildfly-elytron-credential-store-2.2.2.Final-redhat-00001-sources.jar
Source122: wildfly-elytron-json-util-2.2.2.Final-redhat-00001.pom
Source123: wildfly-elytron-http-cert-2.2.2.Final-redhat-00001-sources.jar
Source124: wildfly-elytron-mechanism-digest-2.2.2.Final-redhat-00001-sources.jar
Source125: wildfly-elytron-x500-cert-util-2.2.2.Final-redhat-00001-sources.jar
Source126: wildfly-elytron-http-util-2.2.2.Final-redhat-00001-sources.jar
Source127: wildfly-elytron-x500-cert-acme-2.2.2.Final-redhat-00001.jar
Source128: wildfly-elytron-mechanism-scram-2.2.2.Final-redhat-00001-sources.jar
Source129: wildfly-elytron-security-manager-2.2.2.Final-redhat-00001-sources.jar
Source130: wildfly-elytron-client-2.2.2.Final-redhat-00001.pom
Source131: wildfly-elytron-mechanism-oauth2-2.2.2.Final-redhat-00001-sources.jar
Source132: wildfly-elytron-auth-server-sasl-2.2.2.Final-redhat-00001-sources.jar
Source133: wildfly-elytron-tool-2.2.2.Final-redhat-00001-sources.jar
Source134: wildfly-elytron-credential-source-deprecated-2.2.2.Final-redhat-00001.pom
Source135: wildfly-elytron-sasl-deprecated-2.2.2.Final-redhat-00001.jar
Source136: wildfly-elytron-realm-ldap-2.2.2.Final-redhat-00001-sources.jar
Source137: wildfly-elytron-http-bearer-2.2.2.Final-redhat-00001-sources.jar
Source138: wildfly-elytron-sasl-auth-util-2.2.2.Final-redhat-00001.jar
Source139: wildfly-elytron-ssh-util-2.2.2.Final-redhat-00001.pom
Source140: wildfly-elytron-http-2.2.2.Final-redhat-00001.jar
Source141: wildfly-elytron-http-oidc-2.2.2.Final-redhat-00001.pom
Source142: wildfly-elytron-http-digest-2.2.2.Final-redhat-00001.jar
Source143: wildfly-elytron-credential-store-2.2.2.Final-redhat-00001.jar
Source144: wildfly-elytron-sasl-scram-2.2.2.Final-redhat-00001.pom
Source145: wildfly-elytron-password-impl-2.2.2.Final-redhat-00001.jar
Source146: wildfly-elytron-security-manager-action-2.2.2.Final-redhat-00001.jar
Source147: wildfly-elytron-sasl-plain-2.2.2.Final-redhat-00001-sources.jar
Source148: wildfly-elytron-ssl-2.2.2.Final-redhat-00001.pom
Source149: wildfly-elytron-http-util-2.2.2.Final-redhat-00001.jar
Source150: wildfly-elytron-tests-common-2.2.2.Final-redhat-00001.jar
Source151: wildfly-elytron-encryption-2.2.2.Final-redhat-00001.jar
Source152: wildfly-elytron-sasl-digest-2.2.2.Final-redhat-00001.pom
Source153: wildfly-elytron-http-form-2.2.2.Final-redhat-00001.jar
Source154: wildfly-elytron-mechanism-gssapi-2.2.2.Final-redhat-00001-sources.jar
Source155: wildfly-elytron-auth-server-http-2.2.2.Final-redhat-00001.pom
Source156: wildfly-elytron-x500-cert-util-2.2.2.Final-redhat-00001.jar
Source157: wildfly-elytron-util-2.2.2.Final-redhat-00001-sources.jar
Source158: wildfly-elytron-provider-util-2.2.2.Final-redhat-00001.jar
Source159: wildfly-elytron-tests-2.2.2.Final-redhat-00001-test-sources.jar
Source160: wildfly-elytron-http-sso-2.2.2.Final-redhat-00001-sources.jar
Source161: wildfly-elytron-http-cert-2.2.2.Final-redhat-00001.pom
Source162: wildfly-elytron-asn1-2.2.2.Final-redhat-00001.pom
Source163: wildfly-elytron-tests-common-2.2.2.Final-redhat-00001-test-sources.jar
Source164: wildfly-elytron-realm-2.2.2.Final-redhat-00001-sources.jar
Source165: wildfly-elytron-auth-util-2.2.2.Final-redhat-00001.jar
Source166: wildfly-elytron-digest-2.2.2.Final-redhat-00001.jar
Source167: wildfly-elytron-jose-util-2.2.2.Final-redhat-00001-sources.jar
Source168: wildfly-elytron-util-2.2.2.Final-redhat-00001.jar
Source169: wildfly-elytron-mechanism-oauth2-2.2.2.Final-redhat-00001.jar
Source170: wildfly-elytron-password-impl-2.2.2.Final-redhat-00001-sources.jar
Source171: wildfly-elytron-http-digest-2.2.2.Final-redhat-00001-sources.jar
Source172: wildfly-elytron-sasl-oauth2-2.2.2.Final-redhat-00001.jar
Source173: wildfly-elytron-security-manager-2.2.2.Final-redhat-00001.jar
Source174: wildfly-elytron-http-stateful-basic-2.2.2.Final-redhat-00001-sources.jar
Source175: wildfly-elytron-http-external-2.2.2.Final-redhat-00001.pom
Source176: wildfly-elytron-x500-2.2.2.Final-redhat-00001.jar
Source177: wildfly-elytron-http-deprecated-2.2.2.Final-redhat-00001.jar
Source178: wildfly-elytron-mechanism-digest-2.2.2.Final-redhat-00001.pom
Source179: wildfly-elytron-permission-2.2.2.Final-redhat-00001-sources.jar
Source180: wildfly-elytron-http-external-2.2.2.Final-redhat-00001.jar
Source181: wildfly-elytron-sasl-scram-2.2.2.Final-redhat-00001-sources.jar
Source182: wildfly-elytron-jose-util-2.2.2.Final-redhat-00001.jar
Source183: wildfly-elytron-http-spnego-2.2.2.Final-redhat-00001.pom
Source184: wildfly-elytron-x500-cert-2.2.2.Final-redhat-00001.pom
Source185: wildfly-elytron-sasl-external-2.2.2.Final-redhat-00001-sources.jar
Source186: wildfly-elytron-x500-cert-2.2.2.Final-redhat-00001-sources.jar
Source187: wildfly-elytron-auth-server-http-2.2.2.Final-redhat-00001-sources.jar
Source188: wildfly-elytron-2.2.2.Final-redhat-00001.pom
Source189: wildfly-elytron-http-spnego-2.2.2.Final-redhat-00001.jar
Source190: wildfly-elytron-sasl-gssapi-2.2.2.Final-redhat-00001.jar
Source191: wildfly-elytron-mechanism-http-2.2.2.Final-redhat-00001.pom
Source192: wildfly-elytron-realm-jdbc-2.2.2.Final-redhat-00001.pom
Source193: wildfly-elytron-x500-2.2.2.Final-redhat-00001.pom
Source194: wildfly-elytron-sasl-otp-2.2.2.Final-redhat-00001.jar
Source195: wildfly-elytron-http-form-2.2.2.Final-redhat-00001-sources.jar
Source196: wildfly-elytron-http-form-2.2.2.Final-redhat-00001.pom
Source197: wildfly-elytron-auth-server-2.2.2.Final-redhat-00001.jar
Source198: wildfly-elytron-credential-source-impl-2.2.2.Final-redhat-00001-sources.jar
Source199: wildfly-elytron-asn1-2.2.2.Final-redhat-00001-sources.jar
Source200: wildfly-elytron-http-digest-2.2.2.Final-redhat-00001.pom
Source201: wildfly-elytron-sasl-deprecated-2.2.2.Final-redhat-00001-sources.jar
Source202: wildfly-elytron-auth-server-2.2.2.Final-redhat-00001-sources.jar
Source203: wildfly-elytron-sasl-scram-2.2.2.Final-redhat-00001.jar
Source204: wildfly-elytron-mechanism-2.2.2.Final-redhat-00001-sources.jar
Source205: wildfly-elytron-sasl-anonymous-2.2.2.Final-redhat-00001-sources.jar
Source206: wildfly-elytron-jose-util-2.2.2.Final-redhat-00001.pom
Source207: wildfly-elytron-credential-2.2.2.Final-redhat-00001-sources.jar
Source208: wildfly-elytron-auth-server-deprecated-2.2.2.Final-redhat-00001.jar
Source209: wildfly-elytron-json-util-2.2.2.Final-redhat-00001.jar
Source210: wildfly-elytron-jose-jwk-2.2.2.Final-redhat-00001-sources.jar
Source211: wildfly-elytron-sasl-2.2.2.Final-redhat-00001.pom
Source212: wildfly-elytron-x500-2.2.2.Final-redhat-00001-sources.jar
Source213: wildfly-elytron-mechanism-digest-2.2.2.Final-redhat-00001.jar
Source214: wildfly-elytron-encryption-2.2.2.Final-redhat-00001-sources.jar
Source215: wildfly-elytron-realm-token-2.2.2.Final-redhat-00001-sources.jar
Source216: wildfly-elytron-sasl-oauth2-2.2.2.Final-redhat-00001.pom
Source217: wildfly-elytron-json-util-2.2.2.Final-redhat-00001-sources.jar
Source218: wildfly-elytron-ssh-util-2.2.2.Final-redhat-00001-sources.jar
Source219: wildfly-elytron-http-basic-2.2.2.Final-redhat-00001-sources.jar
Source220: wildfly-elytron-provider-util-2.2.2.Final-redhat-00001-sources.jar
Source221: wildfly-elytron-auth-server-deprecated-2.2.2.Final-redhat-00001-sources.jar
Source222: wildfly-elytron-realm-ldap-2.2.2.Final-redhat-00001.jar
Source223: wildfly-elytron-sasl-external-2.2.2.Final-redhat-00001.pom
Source224: wildfly-elytron-auth-2.2.2.Final-redhat-00001.jar
Source225: wildfly-elytron-ssl-2.2.2.Final-redhat-00001-sources.jar
Source226: wildfly-elytron-auth-server-sasl-2.2.2.Final-redhat-00001.jar
Source227: wildfly-elytron-http-bearer-2.2.2.Final-redhat-00001.jar
Source228: wildfly-elytron-tests-common-2.2.2.Final-redhat-00001-tests.jar
Source229: wildfly-elytron-sasl-digest-2.2.2.Final-redhat-00001.jar
Source230: wildfly-elytron-sasl-localuser-2.2.2.Final-redhat-00001.jar
Source231: wildfly-elytron-sasl-gssapi-2.2.2.Final-redhat-00001-sources.jar
Source232: wildfly-elytron-sasl-gs2-2.2.2.Final-redhat-00001-sources.jar
Source233: wildfly-elytron-http-oidc-2.2.2.Final-redhat-00001-sources.jar
Source234: wildfly-elytron-realm-2.2.2.Final-redhat-00001.pom
Source235: wildfly-elytron-http-oidc-2.2.2.Final-redhat-00001.jar
Source236: wildfly-elytron-tests-2.2.2.Final-redhat-00001.jar
Source237: wildfly-elytron-mechanism-gssapi-2.2.2.Final-redhat-00001.pom
Source238: wildfly-elytron-parent-2.2.2.Final-redhat-00001.pom
Source239: wildfly-elytron-auth-2.2.2.Final-redhat-00001-sources.jar
Source240: wildfly-elytron-security-manager-action-2.2.2.Final-redhat-00001-sources.jar
Source241: wildfly-elytron-x500-principal-2.2.2.Final-redhat-00001-sources.jar
Source242: wildfly-elytron-http-2.2.2.Final-redhat-00001-sources.jar
Source243: wildfly-elytron-http-stateful-basic-2.2.2.Final-redhat-00001.jar
Source244: wildfly-elytron-credential-source-deprecated-2.2.2.Final-redhat-00001-sources.jar
Source245: wildfly-elytron-http-2.2.2.Final-redhat-00001.pom
Source246: wildfly-elytron-mechanism-scram-2.2.2.Final-redhat-00001.jar
Source247: wildfly-elytron-password-impl-2.2.2.Final-redhat-00001.pom
Source248: wildfly-elytron-auth-util-2.2.2.Final-redhat-00001-sources.jar
Source249: wildfly-elytron-permission-2.2.2.Final-redhat-00001.pom
Source250: wildfly-elytron-mechanism-oauth2-2.2.2.Final-redhat-00001.pom
Source251: wildfly-elytron-auth-2.2.2.Final-redhat-00001.pom
Source252: wildfly-elytron-keystore-2.2.2.Final-redhat-00001.jar
Source253: wildfly-elytron-tests-common-2.2.2.Final-redhat-00001.pom
Source254: wildfly-elytron-sasl-2.2.2.Final-redhat-00001.jar
Source255: wildfly-elytron-keystore-2.2.2.Final-redhat-00001.pom
Source256: wildfly-elytron-http-deprecated-2.2.2.Final-redhat-00001-sources.jar
Source257: wildfly-elytron-client-2.2.2.Final-redhat-00001.jar
Source258: wildfly-elytron-x500-cert-2.2.2.Final-redhat-00001.jar
Source259: wildfly-elytron-http-util-2.2.2.Final-redhat-00001.pom
Source260: wildfly-elytron-auth-server-2.2.2.Final-redhat-00001.pom
Source261: wildfly-elytron-ssh-util-2.2.2.Final-redhat-00001.jar
Source262: wildfly-elytron-sasl-otp-2.2.2.Final-redhat-00001-sources.jar
Source263: wildfly-elytron-sasl-gs2-2.2.2.Final-redhat-00001.jar
Source264: wildfly-elytron-permission-2.2.2.Final-redhat-00001.jar
Source265: wildfly-elytron-http-deprecated-2.2.2.Final-redhat-00001.pom
Source266: wildfly-elytron-credential-2.2.2.Final-redhat-00001.jar
Source267: wildfly-elytron-provider-util-2.2.2.Final-redhat-00001.pom
Source268: wildfly-elytron-keystore-2.2.2.Final-redhat-00001-sources.jar
Source269: wildfly-elytron-ssl-2.2.2.Final-redhat-00001.jar
Source270: wildfly-elytron-sasl-entity-2.2.2.Final-redhat-00001.jar
Source271: wildfly-elytron-credential-source-deprecated-2.2.2.Final-redhat-00001.jar
Source272: wildfly-elytron-mechanism-http-2.2.2.Final-redhat-00001.jar
Source273: wildfly-elytron-mechanism-2.2.2.Final-redhat-00001.jar
Source274: wildfly-elytron-credential-source-impl-2.2.2.Final-redhat-00001.pom
Source275: wildfly-elytron-base-2.2.2.Final-redhat-00001.jar
Source276: wildfly-elytron-util-2.2.2.Final-redhat-00001.pom
Source277: wildfly-elytron-http-bearer-2.2.2.Final-redhat-00001.pom
Source278: wildfly-elytron-jose-jwk-2.2.2.Final-redhat-00001.jar
Source279: wildfly-elytron-sasl-external-2.2.2.Final-redhat-00001.jar
Source280: wildfly-elytron-mechanism-2.2.2.Final-redhat-00001.pom
Source281: wildfly-elytron-realm-ldap-2.2.2.Final-redhat-00001.pom
Source282: wildfly-elytron-sasl-auth-util-2.2.2.Final-redhat-00001.pom
Source283: wildfly-elytron-audit-2.2.2.Final-redhat-00001.jar
Source284: wildfly-elytron-sasl-otp-2.2.2.Final-redhat-00001.pom
Source285: wildfly-elytron-security-manager-action-2.2.2.Final-redhat-00001.pom
Source286: wildfly-elytron-x500-deprecated-2.2.2.Final-redhat-00001.jar
Source287: wildfly-elytron-http-stateful-basic-2.2.2.Final-redhat-00001.pom
Source288: wildfly-elytron-sasl-gssapi-2.2.2.Final-redhat-00001.pom
Source289: wildfly-elytron-sasl-entity-2.2.2.Final-redhat-00001-sources.jar
Source290: wildfly-elytron-http-spnego-2.2.2.Final-redhat-00001-sources.jar
Source291: wildfly-elytron-2.2.2.Final-redhat-00001-sources.jar
Source292: wildfly-elytron-auth-util-2.2.2.Final-redhat-00001.pom
Source293: wildfly-elytron-x500-deprecated-2.2.2.Final-redhat-00001.pom
Source294: wildfly-elytron-realm-token-2.2.2.Final-redhat-00001.pom
Source295: wildfly-elytron-sasl-localuser-2.2.2.Final-redhat-00001-sources.jar
Source296: wildfly-elytron-x500-cert-acme-2.2.2.Final-redhat-00001.pom
Source297: wildfly-elytron-sasl-2.2.2.Final-redhat-00001-sources.jar
Source298: wildfly-elytron-x500-deprecated-2.2.2.Final-redhat-00001-sources.jar
Source299: wildfly-elytron-sasl-plain-2.2.2.Final-redhat-00001.pom
Source300: wildfly-elytron-sasl-entity-2.2.2.Final-redhat-00001.pom
Source301: wildfly-elytron-realm-jdbc-2.2.2.Final-redhat-00001.jar
Source302: wildfly-elytron-realm-2.2.2.Final-redhat-00001.jar
Source303: wildfly-elytron-encryption-2.2.2.Final-redhat-00001.pom
Source304: wildfly-elytron-sasl-localuser-2.2.2.Final-redhat-00001.pom
Source305: wildfly-elytron-client-2.2.2.Final-redhat-00001-sources.jar
Source306: wildfly-elytron-sasl-auth-util-2.2.2.Final-redhat-00001-sources.jar
Source307: wildfly-elytron-tool-2.2.2.Final-redhat-00001.jar
Source308: wildfly-elytron-http-basic-2.2.2.Final-redhat-00001.pom
Source309: wildfly-elytron-auth-server-sasl-2.2.2.Final-redhat-00001.pom
Source310: wildfly-elytron-mechanism-gssapi-2.2.2.Final-redhat-00001.jar
Source311: wildfly-elytron-mechanism-http-2.2.2.Final-redhat-00001-sources.jar
Source312: wildfly-elytron-http-basic-2.2.2.Final-redhat-00001.jar
Source313: wildfly-elytron-audit-2.2.2.Final-redhat-00001.pom
Source314: wildfly-elytron-sasl-anonymous-2.2.2.Final-redhat-00001.jar
Source315: wildfly-elytron-x500-cert-acme-2.2.2.Final-redhat-00001-sources.jar
Source316: wildfly-elytron-auth-server-deprecated-2.2.2.Final-redhat-00001.pom
Source317: wildfly-elytron-audit-2.2.2.Final-redhat-00001-sources.jar
Source318: wildfly-elytron-sasl-digest-2.2.2.Final-redhat-00001-sources.jar
Source319: wildfly-elytron-sasl-gs2-2.2.2.Final-redhat-00001.pom
Source320: wildfly-elytron-x500-principal-2.2.2.Final-redhat-00001.pom
Source321: wildfly-elytron-auth-server-http-2.2.2.Final-redhat-00001.jar
Source322: wildfly-elytron-base-2.2.2.Final-redhat-00001-sources.jar
Source323: wildfly-elytron-2.2.2.Final-redhat-00001.jar
Source324: wildfly-elytron-sasl-oauth2-2.2.2.Final-redhat-00001-sources.jar
Source325: wildfly-elytron-sasl-plain-2.2.2.Final-redhat-00001.jar
Source326: wildfly-elytron-asn1-2.2.2.Final-redhat-00001.jar
Source327: wildfly-elytron-http-sso-2.2.2.Final-redhat-00001.pom
Source328: wildfly-elytron-tests-2.2.2.Final-redhat-00001-tests.jar
Source329: wildfly-elytron-credential-store-2.2.2.Final-redhat-00001.pom
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly-security/wildfly-elytron
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
WildFly Security SPIs.

%package -n %{?scl_prefix}wildfly-elytron-tool
Summary:        Narayana: compensations
Group:          Development/Java


%description -n %{?scl_prefix}wildfly-elytron-tool
WildFly Elytron Tool

%if %with javadoc
%package javadoc
Summary:        Javadoc for wildfly-elytron
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n wildfly-elytron-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
for j in  \
        wildfly-elytron-asn1 \
        wildfly-elytron-audit \
        wildfly-elytron-auth \
        wildfly-elytron-auth-server-deprecated \
        wildfly-elytron-auth-server \
        wildfly-elytron-auth-server-http \
        wildfly-elytron-auth-server-sasl \
        wildfly-elytron-auth-util \
        wildfly-elytron-base \
        wildfly-elytron-client \
        wildfly-elytron-credential \
        wildfly-elytron-credential-source-impl \
        wildfly-elytron-credential-store \
        wildfly-elytron-digest \
        wildfly-elytron-encryption \
        wildfly-elytron-http \
        wildfly-elytron-http-basic \
        wildfly-elytron-http-bearer \
        wildfly-elytron-http-cert \
        wildfly-elytron-http-digest \
        wildfly-elytron-http-external \
        wildfly-elytron-http-form \
        wildfly-elytron-http-oidc \
        wildfly-elytron-http-spnego \
        wildfly-elytron-http-sso \
        wildfly-elytron-http-stateful-basic \
        wildfly-elytron-http-util \
        wildfly-elytron-jose-jwk \
        wildfly-elytron-jose-util \
        wildfly-elytron-json-util \
        wildfly-elytron-keystore \
        wildfly-elytron-mechanism-digest \
        wildfly-elytron-mechanism \
        wildfly-elytron-mechanism-gssapi \
        wildfly-elytron-mechanism-http \
        wildfly-elytron-mechanism-oauth2 \
        wildfly-elytron-mechanism-scram \
        wildfly-elytron-password-impl \
        wildfly-elytron-permission \
        wildfly-elytron-provider-util \
        wildfly-elytron-realm \
        wildfly-elytron-realm-jdbc \
        wildfly-elytron-realm-ldap \
        wildfly-elytron-realm-token \
        wildfly-elytron-sasl-anonymous \
        wildfly-elytron-sasl-auth-util \
        wildfly-elytron-sasl-digest \
        wildfly-elytron-sasl-entity \
        wildfly-elytron-sasl-external \
        wildfly-elytron-sasl \
        wildfly-elytron-sasl-gs2 \
        wildfly-elytron-sasl-gssapi \
        wildfly-elytron-sasl-localuser \
        wildfly-elytron-sasl-oauth2 \
        wildfly-elytron-sasl-otp \
        wildfly-elytron-sasl-plain \
        wildfly-elytron-sasl-scram \
        wildfly-elytron-security-manager-action \
        wildfly-elytron-security-manager \
        wildfly-elytron-ssl \
        wildfly-elytron-ssh-util \
        wildfly-elytron-tool \
        wildfly-elytron-util \
        wildfly-elytron-x500-cert-acme \
        wildfly-elytron-x500-cert \
        wildfly-elytron-x500-cert-util \
        wildfly-elytron-x500 \
        wildfly-elytron-x500-principal; do

    %{__cp} -p %{_sourcedir}/$j-%{namedversion}.jar %{buildroot}%{_javadir}/$j-%{namedversion}.jar
    %{__cp} -p %{_sourcedir}/$j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/$j-%{namedversion}-sources.jar
    %if %with javadoc
    %{__cp} -p %{_sourcedir}/$j-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/$j-%{namedversion}-javadoc.jar
    %endif
    %{__cp} -p %{_sourcedir}/$j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/$j-%{namedversion}-sources.jar
done

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/wildfly-elytron-%{namedversion}
unzip -qq %{_sourcedir}/wildfly-elytron-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/wildfly-elytron-%{namedversion} -x META-INF/\*
%{__ln_s} wildfly-elytron-%{namedversion} %{buildroot}%{_javadocdir}/wildfly-elytron
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md
%{_javadir}/wildfly-elytron*-%{namedversion}.jar
%{_javadir}/wildfly-elytron*.jar
%if %with javadoc
%{_javadir}/wildfly-elytron*-%{namedversion}-javadoc.jar
%{_javadir}/wildfly-elytron*-javadoc.jar
%endif
%{_javadir}/wildfly-elytron*-%{namedversion}-sources.jar
%{_javadir}/wildfly-elytron*-sources.jar
%exclude %{_javadir}/wildfly-elytron-tool*

%files -n %{?scl_prefix}wildfly-elytron-tool
%defattr(0644,root,root,0755)
%{_javadir}/wildfly-elytron-tool-%{namedversion}.jar
%{_javadir}/wildfly-elytron-tool.jar
%{_javadir}/wildfly-elytron-tool-%{namedversion}-sources.jar
%{_javadir}/wildfly-elytron-tool-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/wildfly-elytron-%{namedversion}
%{_javadocdir}/wildfly-elytron
%endif

%changelog
* Fri Sep 08 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.2.2-1.Final_redhat_00001.1
- Built by CPaaS

* Tue Jun 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.2.1-1.Final_redhat_00001.1
- Built by CPaaS

* Tue Jun 06 2023 Permaine Cheung <pcheung@redhat.com> - 2.2.0-2.Final_redhat_00001.1
- Add wildfly-elytron-ssh-util

* Wed May 31 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.2.0-1.Final_redhat_00001.1
- Built by CPaaS

* Fri Mar 03 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.1.0-1.Final_redhat_00002.1
- Built by CPaaS

* Mon Jan 30 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.0.0-3.Final_redhat_00001.1
- Built by CPaaS

* Wed Aug 24 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.0.0-2.Beta2_redhat_00001.1
- Built by CPaaS

* Thu Aug 11 2022 Yong Yang <yyang@redhat.com> - 2.0.0-1.Beta2_redhat_00001.1
- Updates for 2.0.0 Beta2
